JavaEar 专注于收集分享传播有价值的技术资料

FDT: An internal error occurred during debugging

I'm using FDT 3 enterprise with Flex 4.5 SDK on Mac OSX

Running works fine.

Debugging throws an internal error:

java.lang.NullPointerException
at com.powerflasher.fdt.core.launch.debug.concrete.FDBVersionTools.versionParts(FDBVersionTools.java:44)
at com.powerflasher.fdt.core.launch.debug.concrete.FDBVersionTools.compare(FDBVersionTools.java:19)
at com.powerflasher.fdt.core.launch.debug.concrete.FDBVersionTools.lessOrEqual(FDBVersionTools.java:7)
at com.powerflasher.fdt.core.launch.debug.concrete.FDBVersionTools.inRange(FDBVersionTools.java:54)
at com.powerflasher.fdt.internal.core.debugger.adapter.FlexSdkVersionTools.covers(FlexSdkVersionTools.java:25)
at com.powerflasher.fdt.internal.core.debugger.adapter.FDBAdapterLoader.cover(FDBAdapterLoader.java:51)
at com.powerflasher.fdt.internal.core.debugger.adapter.FlexDebuggerLoader.searchAdapterLoader(FlexDebuggerLoader.java:88)
at com.powerflasher.fdt.internal.core.debugger.adapter.FlexDebuggerLoader.loadDebugger(FlexDebuggerLoader.java:81)
at com.powerflasher.fdt.core.launch.DebugSessionManager.getDebuggerFor(DebugSessionManager.java:50)
at com.powerflasher.fdt.core.launch.DebugSessionManager.launchSessionFor(DebugSessionManager.java:106)
at com.powerflasher.fdt.core.launch.DebugSessionManager.launchSessionAndKillOld(DebugSessionManager.java:146)
at com.powerflasher.fdt.ui.launch.StartDebuggerTestLaunchConfigurationDelegate.startDebugger(StartDebuggerTestLaunchConfigurationDelegate.java:36)
at com.powerflasher.fdt.internal.ui.launch.fcsh.MxmlcLaunchConfigurationDelegate.startDebugger(MxmlcLaunchConfigurationDelegate.java:348)
at com.powerflasher.fdt.internal.ui.launch.fcsh.AbstractFCSHLaunchConfigurationDelegate.launch(AbstractFCSHLaunchConfigurationDelegate.java:174)
at com.powerflasher.fdt.internal.ui.launch.fcsh.MxmlcLaunchConfigurationDelegate.launch(MxmlcLaunchConfigurationDelegate.java:237)
at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:853)
at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:703)
at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:866)
at org.eclipse.debug.internal.ui.DebugUIPlugin$8.run(DebugUIPlugin.java:1069)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

I'm not using any uncommon debug/compiler-arguments

Has anyone seen this before?

1个回答

    最佳答案
  1. The Flex Debugger API changed quite a bit from Flex 3.X - 4.0. This means that your older FDT (version 3.x) is likely not compatible with later Flex SDKs. That is why you are getting that error.

    You'll need to upgrade to 5.5 (or FDT 4.5 if you have a FDT 4 license)b/c the FDT team has had to rewrite parts of the debugger to make it compatible with Flex 4.5+. We've done our best to keep the upgrade price minimal.

    http://fdt.powerflasher.com/buy-download/